<div
  class="select"
  [class.select--active]="open || value"
  [class.select--open]="open"
  #el
>
  <div class="select__content" [class.noBg]="noBg">
    <label class="select__label" *ngIf="placeholder">{{ placeholder }}</label>
    <div class="select__current p" [class.noBg]="noBg" (click)="openClose()">
      <ng-container *ngIf="value">
        <ng-template
          select="[activeTemplate]"
          [ngTemplateOutlet]="activeTemplate"
          [ngTemplateOutletContext]="{ $implicit: value }"
        >
        </ng-template>
      </ng-container>
    </div>
  </div>
  <div
    class="select__list"
    *ngIf="open"
    [@openClose]="open"
    [class.select__list--search]="search"
  >
    <div>
      <div class="select__search" *ngIf="search">
        <input
          [(ngModel)]="searchValue"
          #searchInput
          type="text"
          placeholder="{{ searchPlaceholder }}"
        />
      </div>
      <div class="select__scroller">
        <div
          *ngIf="model && enableEmpty"
          class="select__voice"
          (click)="change(null)"
        >
          <p>{{ placeholder }}</p>
        </div>
        <div
          class="select__voice not-selectable"
          *ngFor="let option of shownOptions; let index = index"
          (click)="change(option)"
          [class.select__voice--active]="model === modelParser(option)"
          [ngClass]="[option.class || 'null']"
        >
          <!-- <p [ngStyle]="option.style || {}">{{ option.label }}</p> -->
          <ng-template
            select="[optionTemplate]"
            [ngTemplateOutlet]="optionTemplate"
            [ngTemplateOutletContext]="{ $implicit: option, index: index }"
          >
          </ng-template>
        </div>
        <div
          class="select__voice not-selectable select__voice--inactive"
          *ngIf="search && searchValue && !shownOptions.length"
        >
          <p>{{ noResultsMessage }}</p>
        </div>
      </div>
    </div>
  </div>
</div>
